<?
include 'mysql.php';
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("include/zag.php");
include_once("include/antixak.php");
include 'include/ini.php';
$_title = 'Linewap2';
$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
/////////////////////////////////////////////////////
$text = @file("MySql/base123/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
////////////////////////////////////////////////////////
include_once("include/sesi.php");
if (isset($user)) {

switch($go) {

default:

echo"<small>";

echo"<b>John</b><br/>
Здраствуй $log!<br/>
Олипиада начинается каждый понедельник и заканчивается в субботу.<br/>";

$file=@file("MySql/base123/olimpiada.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode("||",$file[$i]);

if($data[0]==$log){
echo"<a href=\"olimpiada.php?$sd&go=sdat\">Сдать медали</a><br/>";
$start="no";
}}if(empty($start)){
echo"<a href=\"olimpiada.php?$sd&go=start\">Начать</a><br/>";
}
echo"<a href=\"olimpiada.php?$sd&go=about\">О олимпиаде</a><br/>
<a href=\"olimpiada.php?$sd&go=top\">Участники</a><br/>
<a href=\"olimpiada.php?$sd&go=rules\">Правила</a><br/>";

echo"</small>";

break;

case 'about':

echo"<small>";

echo"Как и говорилось олимпиада начинается в каждый понедельник и заканчивается в субботу. Победитель набравший большее колличество Olimpiad Medal победит. Победителю откроется эксклюзивный магазин. Olimpiad Medal можно раздобыть в любых окрестностях убивая монстров.";

echo"</small>";

break;

case 'rules':

echo"<small>";

echo"<b>Правила</b><br/>
1. Запрещено покупать или обменивать Olimpiad Medal.<br/>
<b>За нарушение первого пункта Olimpiad Medal будут отобраны и ваш персонаж будет заблокирован.</b>";

echo"</small>";

break;

case 'start':

$date=date("D");

if($date=="Sun"){echo"<small>Сегодня олимпиада не проводится. Заходите завтра.</small>"; include_once"include/down.php"; exit; }


$text="$log||0||";

$fp=fopen("MySql/base123/olimpiada.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);






echo"<small>";

echo"<b>Начало</b><br/>
Иди в любые окрестности убивай монстров и приноси мне Olimpiad Medal. Если ты принесешь больше всех, то ты победитель!";

echo"</small>";

break;

case 'sdat':
$date=date("D");

if($date=="Sun"){echo"<small>Сегодня олимпиада не проводится. Заходите завтра.</small>"; include_once"include/down.php"; exit; }


$file=@file("MySql/base123/olimpiada.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode("||",$file[$i]);

if($data[0]==$log){

$file2=@file("MySql/base123/item/$log.dat");
$total2=count($file2);
for($i2=0; $i2<$total2; $i2++){
$data2=explode(":||:",$file2[$i2]);

if($data2[4]=="Olimpiad Medal"){

$_GLOBAL[kol]=$data2[3];

$fp=fopen("MySql/base123/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file2[$i2]);
fputs($fp, implode("",$file2));
flock ($fp,LOCK_UN);
fclose($fp);

}}

$koll=$data[1];
$all=$_GLOBAL[kol]+$koll;

$text="$log||$all||";

$fp=fopen("MySql/base123/olimpiada.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fp=fopen("MySql/base123/olimpiada.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp); }}
echo"<small>Вы сдали всего медалей: $all</small>";
break;

case 'top':



$file=@file("MySql/base123/olimpiada.dat");
$total=count($file);
if(@file("MySql/base123/olimpiada.dat")){
for($i=0; $i<$total; $i++){
$data=explode("||",$file[$i]);


$data_log[]=$data[0];
$data_kol[]=$data[1];
}

arsort($data_kol);

foreach($data_kol as $k=>$v)
{

$data_screen[]='<small><b><a href="search.php?nick='.$data_log[$k].'&'.$sd.'&go=go">'.$data_log[$k].'</a></b><br/>Собрал: '.$data_kol[$k].'<br/></small>';

}

if($total<"10"){
$list=$total;}else{$list="10";}

for ($i = 0; $i < $list; $i++){
$i2=$i+1;
echo "<small>$i2.</small> $data_screen[$i]";
}

echo"<br/><small>Всего участников: $total</small>";}else{echo"<small>Участников нет.</small>";}

break;

}
}else{echo"<small>Пароль или логин неверен!</small>";}

include_once"include/down.php";
?>

